# Function UseOptionsDataSource

- UseOptionsDataSource<Source>(dataSource, settings?): ((target, propertyKey) => any)

- #### Type Parameters

  - Source

  #### Parameters

  - dataSource: IdOrInstanceOrToken<BaseDataSource<Source, BaseDataSourceMetadata, BaseDataSourceViewer<any>>>
  - `Optional` settings: InputSelectOptionsSettings<Source>

  #### Returns ((target, propertyKey) => any)

  - - (target, propertyKey): any

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns any

  - Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:39